commit ca8410e981982edd16bcc8689e09c2c15d8267e7
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sun Mar 5 00:40:49 2023 +0000

    Fix crash in queue-ramp
    
    Broken-by: 1e835086d159

diff --git a/src/src/daemon.c b/src/src/daemon.c
index b0533c28f..caed44bb3 100644
--- a/src/src/daemon.c
+++ b/src/src/daemon.c
@@ -1344,7 +1344,10 @@ switch (buf[0])
     memcpy(queuerun_msgid, buf+1, MESSAGE_ID_LENGTH+1);
 
     for (qrunner * q = qrunners; q; q = q->next)
-      if (Ustrcmp(q->name, buf+1+MESSAGE_ID_LENGTH+1) == 0)
+      if (q->name
+	  ? Ustrcmp(q->name, buf+1+MESSAGE_ID_LENGTH+1) == 0
+	  : !buf[1+MESSAGE_ID_LENGTH+1]
+	 )
 	{ queuerun_msg_qname = q->name; break; }
     return TRUE;
 #endif

